# This is a part of the Microsoft Foundation Classes C++ library.
# Copyright (C) 1996 Watcom International Corporation
# All rights reserved.
#
# This source code is only intended as a supplement to the
# Microsoft Foundation Classes Reference and Microsoft
# QuickHelp and/or WinHelp documentation provided with the library.
# See these sources for detailed information regarding the
# Microsoft Foundation Classes product.

!ifdef afxdll
!  ifneq afxdll 0
!    error INPROC may only be built with afxdll=0
!  endif
!else
afxdll = 0
!endif

usrdll = 1
objs = inproc.obj enumvar.obj strcoll.obj varassoc.obj varmap.obj varmap16.obj
res = inproc.res

goal: inproc.lib .symbolic
    @%null
   
!include ..\master.mif

inproc.lib : inproc.dll
    wlib -b -c -n $^@ +$[@

inproc.dll : $(objs) inproc.lnk inproc16.def $(res)
    wlink.exe $(lflags) name $^@ @$^&.lnk @inproc16.def
!ifdef res
    wrc.exe $(rflags) $]@ $^@
!endif

inproc.lnk : $(__MAKEFILES__)
    %create $^@
    @%append $^@ system windows_dll initinstance memory
    @%append $^@ option map
    @%append $^@ reference __clib_WEP_
    @for %i in ( $(objs) ) do @%append $^@ file %i
    
